Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyDoc

Method Summary
`String` | `commentText()`
`String` | `firstSentenceCommentText()`
`String` | `getRawCommentText()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isField()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`String` | `name()`
`void` | `setRawCommentText(String arg0)`

Method Detail

### commentText

    public String commentText()

### firstSentenceCommentText

    public String firstSentenceCommentText()

### getRawCommentText

    public String getRawCommentText()

### isAnnotationType

    public boolean isAnnotationType()

### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

### isClass

    public boolean isClass()

### isConstructor

    public boolean isConstructor()

### isEnum

    public boolean isEnum()

### isEnumConstant

    public boolean isEnumConstant()

### isError

    public boolean isError()

### isException

    public boolean isException()

### isField

    public boolean isField()

### isIncluded

    public boolean isIncluded()

### isInterface

    public boolean isInterface()

### isMethod

    public boolean isMethod()

### isOrdinaryClass

    public boolean isOrdinaryClass()

### name

    public String name()

### setRawCommentText

    public void setRawCommentText(String arg0)